import { TemplateRef, ViewContainerRef } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
export declare class NgxValidatorDirective {
    private template;
    private viewContainer;
    validator: string;
    visibleSubject: BehaviorSubject<boolean>;
    private view;
    private errorParameters;
    constructor(template: TemplateRef<any>, viewContainer: ViewContainerRef);
    /**
     * Sets error parameters for the current validator and gives a command to show an error
     * @param error - The parameters given by the validator of reactive forms. Example: Validator.minLength
     *                with parameter 8 will return: "{ requiredLength: 8, actualLength: 2 }"
     */
    showError(error: any): void;
    /**
     * Clear error parameters for the current validator and gives a command to hide an error
     */
    hideErrors(): void;
    destroyView(): void;
}
